<?php
include("../config.php");
require "class.upload.php";
$user_token = $_COOKIE['user_token'];
$myUser = $db->query("SELECT * FROM kullanicilar WHERE user_token = '$user_token'")->fetch(PDO::FETCH_ASSOC);
$userid = $myUser['user_id'];
$eskiresim = $myUser['user_picture'];
$anadizin = $_SERVER['DOCUMENT_ROOT'];


if($_FILES['resim']['type']=="image/webp" OR $_FILES['resim']['type']=="image/heic"){

  $array = array("result" => "0");
  echo json_encode($array); 
  exit;

}




// DENEME

        $image = new Upload($_FILES['resim']);
    if ( $image->uploaded ) {
        // resmi yeniden adlandıralım
        $image->file_new_name_body = md5($userid.rand(100000000,999999999));
        $isim = $image->file_new_name_body;
        // resmi jpg formatına convert edelim
        $image->image_convert = 'jpg';

        /**
         * Resmi Farklı Boyutta Kayıt Et
         */
        // yeniden farklı boyutta kayıt et (200x100)
        $image->image_resize          = true;
        $image->image_ratio_fill      = 'C';
        $image->image_y               = 500;
        $image->image_x               = 500;

        //$image->image_background_color = '#FFF';
        // sadece resim formatları yüklensin
        //$image->allowed = array ( 'image/*' );
        $image->allowed = array ( 'image/png', 'image/jpg', 'image/jpeg' );

        // upload klasörüne değişiklik yapmadan kayıt et
        $image->Process( 'upload/avatar/' );



        $image->file_new_name_body = $isim."_thumb";
        $image->image_convert = 'jpg';

        /**
         * Resmi Farklı Boyutta Kayıt Et
         */
        // yeniden farklı boyutta kayıt et (200x100)
        $image->image_resize          = true;
        $image->image_ratio_fill      = 'C';
        $image->image_y               = 150;
        $image->image_x               = 150;

        //$image->image_background_color = '#FFF';
        // sadece resim formatları yüklensin
        //$image->allowed = array ( 'image/*' );
        $image->allowed = array ( 'image/png', 'image/jpg', 'image/jpeg' );

        // upload klasörüne değişiklik yapmadan kayıt et
        $image->Process( 'upload/avatar/' );
        if ( $image->processed ) {


  $array = array("result" => "1", "resimLink" => "/assets/upload/avatar/".$isim.".jpg");
  echo json_encode($array); // giriş başarılı

if($eskiresim!="assets/img/no-avatar.png"){

/*echo "----------";*/

$cii = getcwd();
$pii = str_replace("assets","",$cii);

$resimlinkimiz = $pii.$eskiresim;


  unlink($resimlinkimiz);

  $degisik = str_replace(".jpg", "_thumb.jpg", $resimlinkimiz);
  unlink($degisik);

}

$query = $db->prepare("UPDATE kullanicilar SET
user_picture = :yeni_pic
WHERE user_token = :eski_pic");
$update = $query->execute(array(
     "yeni_pic" => "assets/upload/avatar/".$isim.".jpg",
     "eski_pic" => $user_token
));


        } else {
  $array = array("result" => "0");
  echo json_encode($array); // giriş başarısız
        }
    }else{
      $array = array("result" => $image->error);
  echo json_encode($array);
    }

    

## Resmimizin Adını Alalım


?>

